Keeping WordPress up to Date is a Basic CyberSecurity Measure

Keeping WordPress up to Date is a Basic CyberSecurity Measure

Tweet Image

Even potential cyber security issues including out of date WordPress Plugins aren’t resolved: in July 2017 they were using the Yoast WordPress SEO Plugin v4.6 (released April 11th, 2017) and are still using Yoast v4.6 today (January 2018) despite my warning about security, they have missed over 30 Yoast plugin updates!!!

Regular updates is basic cyber security, someone should be tasked with updating everything the website uses on a regular basis (at least monthly and ideally weekly) to avoid leaving the site potentially vulnerable for months at a time.

Whoever is working on the Languagenut website SEO wise doesn’t have a clue what they are doing.

Continue Reading Why SEO Training is Essential for Marketing Professionals